/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.docgen;

/**
 * 
 * 功能说明: 文档生成管理器
 * <p>
 * 系统版本: v1.0<br>
 * 开发人员: renhui <br>
 * 开发时间: 2013-7-25 <br>
 * 功能描述: 写明作用，调用方式，使用场景，以及特殊情况<br>
 */
public interface DocumentGeneraterManager {
	String MANAGER_BEAN_NAME = "documentGeneraterManager";

	/**
	 * 
	 * 
	 * @param type
	 *            文档类型
	 * @param generater
	 *            对应的文档生成器
	 */
	void putDocumentGenerater(String type, DocumentGenerater generater);

	/**
	 * 
	 * 根据文档类型获取文档生成器
	 * 
	 * @param type
	 *            文档类型
	 * @return
	 */
	DocumentGenerater getFileGenerater(String type);
}
