/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.docgen.impl;

import java.io.File;
import java.io.FileWriter;
import java.io.Writer;

import org.tinygroup.context.Context;
import org.tinygroup.docgen.DocumentGenerater;
import org.tinygroup.velocity.VelocityHelper;
import org.tinygroup.vfs.FileObject;

/**
 * 
 * 功能说明:文档生成器
 * <p>
 * 系统版本: v1.0<br>
 * 开发人员: renhui <br>
 * 开发时间: 2013-7-25 <br>
 * 功能描述: 写明作用，调用方式，使用场景，以及特殊情况<br>
 */
public class DocumentGeneraterImpl implements DocumentGenerater {
	private VelocityHelper documentGeneraterVelocityHelper;

	public VelocityHelper getDocumentGeneraterVelocityHelper() {
		return documentGeneraterVelocityHelper;
	}

	public void setDocumentGeneraterVelocityHelper(VelocityHelper helper) {
		this.documentGeneraterVelocityHelper = helper;
	}

	public void generate(String path, Context context, Writer writer) {
		try {
			documentGeneraterVelocityHelper.processTempleate(context, writer,
					path);
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
	}

	public void addMacroFile(FileObject fileObject) {
		documentGeneraterVelocityHelper.addMacroFile(fileObject);
	}

	public void generate(String path, Context context, File outputFile) {
		try {
			documentGeneraterVelocityHelper.processTempleate(context,
					new FileWriter(outputFile), path);
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
	}

}
